Loading...
Searching...
No Matches
mptcpd_hash_sockaddr_key Struct Reference

Hash key information. More...

`#include <hash_sockaddr.h>`

## Public Attributes

struct sockaddr const * | sa
| IP address to be hashed.
uint32_t | seed
| Hash algorithm (MurmurHash3) seed.

## Detailed Description

Hash key information.

Bundle the values needed to generate a hash value based on an IP address (`struct` `sockaddr`) using the MurmurHash3 algorithm.

The documentation for this struct was generated from the following file:

- lib/hash_sockaddr.h